Package tigase.server

## Class DataForm.Builder

- java.lang.Object
- - tigase.server.DataForm.Builder

- Enclosing class:
    DataForm

      public static class DataForm.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder​(Command.DataType type)` |
    `Builder​(Element parent, Command.DataType type)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DataForm.Field.Builder` | `addField​(DataForm.FieldType type, java.lang.String var)` |
    `DataForm.Builder` | `addInstructions​(java.lang.String[] instructions)` |
    `DataForm.Builder` | `addTitle​(java.lang.String title)` |
    `Element` | `build()` |
    `DataForm.Builder` | `withField​(DataForm.FieldType type, java.lang.String var, java.util.function.Consumer<DataForm.Field.Builder> consumer)` |
    `DataForm.Builder` | `withFields​(java.util.function.Consumer<DataForm.Builder> consumer)` |
    `DataForm.Builder` | `withItem​(java.util.function.Consumer<DataForm.Item.Builder> consumer)` |
    `DataForm.Builder` | `withReported​(java.util.function.Consumer<DataForm.Reported.Builder> consumer)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder​(Command.DataType type)

    - #### Builder

          public Builder​(Element parent,
                         Command.DataType type)

  - ### Method Detail

    - #### addTitle

          public DataForm.Builder addTitle​(java.lang.String title)

    - #### addInstructions

          public DataForm.Builder addInstructions​(java.lang.String[] instructions)

    - #### addField

          public DataForm.Field.Builder addField​(DataForm.FieldType type,
                                                 java.lang.String var)

    - #### withFields

          public DataForm.Builder withFields​(java.util.function.Consumer<DataForm.Builder> consumer)

    - #### withField

          public DataForm.Builder withField​(DataForm.FieldType type,
                                            java.lang.String var,
                                            java.util.function.Consumer<DataForm.Field.Builder> consumer)

    - #### withReported

          public DataForm.Builder withReported​(java.util.function.Consumer<DataForm.Reported.Builder> consumer)

    - #### withItem

          public DataForm.Builder withItem​(java.util.function.Consumer<DataForm.Item.Builder> consumer)

    - #### build

          public Element build()